@import "/src/variables.scss";

::ng-deep .mat-tab-label {
  color: var(--colors-text);
}

mat-tab-group {
  height: 100%;
}

::ng-deep .mat-tab-body-wrapper {
  height: 100%;
}

.console {
  width: 80%;
  height: 70%;
  background-color: var(--colors-first-background);
  font-family: monospace;
  color: var(--colors-text);
  margin: 5% 10%;
  font-size: 11px;
  overflow-y: scroll;
  padding: 5px;
}

.update {
  left: 50%;
  transform: translate(-50%);
}

.users {
  width: 100%;
  background: none;

  button {
    margin: 2px;
  }
}

.option {
  position: absolute;
  opacity: 0;
  top: -100%;
  left: 0;
  transition: 500ms;
  background-color: var(--colors-second-background);
  color: var(--colors-text);
  width: 100%;
  height: 100%;
  z-index: 1;
  padding: 20px;
}

.option.enable {
  opacity: 100;
  top: 0;
}

.permissions {
  .table {
    color: var(--colors-text);
    border-color: var(--colors-text);
  }

  .col-3 {
    display: flex;
    justify-content: center;
    align-items: center;

    button {
      margin: 0 5px;
    }
  }

  .mat-button.mat-warn {
    color: var(--colors-danger);
  }
}
